<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" omit-xml-declaration="yes" encoding="utf-8" indent="yes"/>

<xsl:template match="/">
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>
    </title>
      <style type="text/css">
         body {
             background-color: "black";
             color: "white";
             font-size: 14pt;
         }
         td {
             background-color: "black";
             color: "white";
             font-size: 14pt;
         }
         a {
             background-color: "black";
             color: "white";
             font-size: 14pt;
             text-decoration: none;
         }
      </style>
  </head>

  <body id="body">
  <!--
    maybe add:
        setup
        scan
        status
        tv
        radio
    -->
  <!--a href="file:///dev/dvb/adapter0/dvr0" TVID="1" vod>Watch TV</a-->
  <xsl:element name="a">
    <xsl:attribute name="href">file:///dev/dvb/adapter0/dvr0</xsl:attribute>
    <xsl:attribute name="TVID"><xsl:value-of select="lcn"/></xsl:attribute>
    <xsl:attribute name="vod"></xsl:attribute>
    <xsl:text>Watch TV</xsl:text>
  </xsl:element>

  <!--a href="http://localhost.drives:8883/HARD_DISK/Apps/tv_jukebox/tv_jukebox/tv.cgi?0">Scan</a-->
  <xsl:element name="a">
    <xsl:attribute name="href">http://localhost.drives:8883/HARD_DISK/Apps/tv_jukebox/tv_jukebox/tv.cgi?0</xsl:attribute>
    <xsl:text> Scan</xsl:text>
  </xsl:element>

  <!--a href="#tv">TV</a-->
  <xsl:element name="a">
    <xsl:attribute name="href">
      <xsl:text>#tv</xsl:text>
    </xsl:attribute>
    <xsl:text> TV</xsl:text>
  </xsl:element>

  <!--a href="#radio">Radio</a-->
  <xsl:element name="a">
    <xsl:attribute name="href">
      <xsl:text>#radio</xsl:text>
    </xsl:attribute>
    <xsl:text> Radio</xsl:text>
  </xsl:element>

  <!--a href="#data">Data</a-->
  <xsl:element name="a">
    <xsl:attribute name="href">
      <xsl:text>#data</xsl:text>
    </xsl:attribute>
    <xsl:text> Data</xsl:text>
  </xsl:element>



  <p/>
  <!-- tv bookmark-->
  <!--a id="tv">TV</a-->
  <xsl:element name="a">
    <xsl:attribute name="id">
      <xsl:text>tv</xsl:text>
    </xsl:attribute>
    <xsl:text>TV</xsl:text>
  </xsl:element>

  <table width="100%" border="0">
  <xsl:for-each select="channels/transponder/service">
    <xsl:sort select="lcn" data-type="number" />
    <xsl:if test="contains(service_type,'Television')">
    <xsl:call-template name="do_channels"></xsl:call-template>
    </xsl:if>
  </xsl:for-each>
  </table>

  <p/>
  <!-- radio bookmark-->
  <!--a id="radio">Radio</a-->
  <xsl:element name="a">
    <xsl:attribute name="id">
      <xsl:text>radio</xsl:text>
    </xsl:attribute>
    <xsl:text>Radio</xsl:text>
  </xsl:element>

  <table width="100%" border="0">
  <xsl:for-each select="channels/transponder/service">
    <xsl:sort select="lcn" data-type="number" />
    <xsl:if test="contains(service_type,'Radio')">
    <xsl:call-template name="do_channels"></xsl:call-template>
    </xsl:if>
  </xsl:for-each>
  </table>

  <p/>
  <!-- data bookmark-->
  <!--a id="data">Data</a-->
  <xsl:element name="a">
    <xsl:attribute name="id">
      <xsl:text>data</xsl:text>
    </xsl:attribute>
    <xsl:text>Data</xsl:text>
  </xsl:element>

  <table width="100%" border="0">
  <xsl:for-each select="channels/transponder/service">
    <xsl:sort select="lcn" data-type="number" />
    <xsl:if test="contains(service_type,'Data')">
    <xsl:call-template name="do_channels"></xsl:call-template>
    </xsl:if>
  </xsl:for-each>
  </table>

  </body>
</html>
</xsl:template>




<xsl:template name="do_channels">

  <!-- 9 logos across -->
  <xsl:if test="position() mod 9 = 1">
  <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
  </xsl:if>
  <td width="12%">
    <!-- lcn does not really fit -->
    <!-- lcn -->
    <!-- 1. BBC ONE -->
    <!--xsl:value-of select="lcn" />
    <xsl:text>. </xsl:text-->

    <!-- service name-->
    <!--a href="http://localhost.drives:8883/HARD_DISK/Apps/tv_jukebox/tv_jukebox/tv.cgi?1>BBC ONE</a-->
    <xsl:element name="a">
      <xsl:attribute name="href">http://localhost.drives:8883/HARD_DISK/Apps/tv_jukebox/tv_jukebox/tv.cgi?<xsl:value-of select="lcn"/></xsl:attribute>
      <xsl:value-of select="service_name" />
    </xsl:element>


    <!-- service logo-->
    <!--img src="logos/BBC ONE.png" align="right" width="100" height="100" border="0"-->
    <xsl:element name="img">
      <xsl:attribute name="src"><xsl:value-of select="logo"/></xsl:attribute>
      <xsl:attribute name="align">left</xsl:attribute>
      <xsl:attribute name="width">100</xsl:attribute>
      <xsl:attribute name="height">100</xsl:attribute>
      <xsl:attribute name="border">0</xsl:attribute>
    </xsl:element>
  </td>
  <xsl:if test="position() mod 9 = 0">
  <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
  </xsl:if>

</xsl:template>


</xsl:stylesheet>
